## polyorb 2.6.0~20090423

=== debian/changelog ===
polyorb (2.6.0~20090423-9) unstable; urgency=low

  * Use configurable number of build processes (Closes: #575336).
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Reto Buerki <reet@codelabs.ch>  Tue, 06 Apr 2010 08:57:51 +0200

polyorb (2.6.0~20090423-8) unstable; urgency=low

  * 2.6.0~20090423-6 reached testing
  * Fix typo in changelog to really close #573174 bug
    Closes: #573174.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 24 Mar 2010 14:05:36 +0100

polyorb (2.6.0~20090423-7) experimental; urgency=low

  * Apply a patch to backport NF-27-IC22-022 from 2.7 version
    This patch allow users to use -gnaty option without it applying
    to the code generated by po_gnatdist
    Close: #573174.
  * Move po_gnatdist from polyorb-servers package to libpolyorb1-dev
    - po_gnatdist isn't a server, it's a compiler tool

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 09 Mar 2010 23:31:36 +0100

polyorb (2.6.0~20090423-6) unstable; urgency=low

  [Reto Buerki]
  * Disable CORBA/MIOP test (Closes: #568814, #571436).

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.

 -- Reto Buerki <reet@codelabs.ch>  Thu, 04 Mar 2010 20:51:55 +0100

polyorb (2.6.0~20090423-5) unstable; urgency=low

  * Use 127.0.0.1 as iiop default_addr in tests (Closes: #562342).
  * Update to Standards-Version 3.8.4 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Fri, 29 Jan 2010 00:11:49 +0100

polyorb (2.6.0~20090423-4) unstable; urgency=low

  [Xavier Grave]
  * debian/patches/bug-562192.patch: new; remove -fcheck-stack option
    Closes: #562192.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 26 Jan 2010 18:44:00 +0100

polyorb (2.6.0~20090423-3) unstable; urgency=low

  [Reto Buerki]
  * debian/patches/testsuite-combined-output.patch: new; send test output to
    both stdout and a file so we can examine failures in the buildd logs.
  * debian/control: Fix debhelper-but-no-misc-depends lintian warning.

  [Ludovic Brenta]
  * debian/control (Build-Depends): tighten to gnat-4.4 (>= 4.4.2-6).
    Closes: #561156.

  [Xavier Grave]
  * debian/patches/bug-561121.patch: new; compile xe.adb with -O1 instead of
    -O2 to fix FTBFS on sparc.
    Closes: #561121.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 19 Jan 2010 23:07:28 +0100

polyorb (2.6.0~20090423-2) unstable; urgency=low

  * Add ia64 to Architecture (Closes: #561223).
  * Add python to Build-Depends (Closes: #561158).

 -- Reto Buerki <reet@codelabs.ch>  Sat, 19 Dec 2009 22:35:59 +0100

polyorb (2.6.0~20090423-1) unstable; urgency=low

  [Xavier Grave, Reto Buerki]
  * Initial release (Closes: #517404) based on the upstream subversion
    revision r144260, date 2009-04-23.  Revisions after that (such as
    PolyORB GPL 2009 Edition) require gnat-4.5 which is not yet
    available.
  * Enabled application personalities in this upload:
    MOMA: Message-Oriented Middleware Architecture
    CORBA: Common Object Request Broker Architecture
    DSA: Ada Distributed Systems Annex (see README.Debian)

  [Ludovic Brenta]
  * Sponsor the package.
  * Split the package building into arch-dependent and arch-independent
    parts.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2009 09:59:10 +0100
