=== debian/control ===
Source: polyorb
Section: net
Priority: optional
Maintainer: Reto Buerki <reet@codelabs.ch>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>, Ludovic Brenta <lbrenta@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
 automake, autotools-dev, libtool, gnat, gnat-4.4 (>= 4.4.2-6), python
Build-Depends-Indep: ghostscript, texi2html,
 texlive-formats-extra, texlive-generic-recommended, transfig, texinfo
Standards-Version: 3.8.4
Homepage: http://libre.adacore.com/libre/tools/polyorb/

Package: polyorb-servers
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multiple-personality middleware for Ada (servers)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides various middleware servers needed to run a distributed
 application and tools to interact with these servers.

Package: libpolyorb1-dev
Section: libdevel
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb2 (= ${binary:Version}), g++, gnat, gnat-4.4
Recommends: polyorb-servers (= ${binary:Version})
Description: Multiple-personality middleware for Ada (development)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides the development files and utilities necessary to develop
 distributed applications using PolyORB.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: libpolyorb2
Section: libs
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: polyorb-servers (= ${binary:Version})
Description: Multiple-personality middleware for Ada
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: polyorb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libpolyorb1-dev (= ${binary:Version})
Description: Multiple-personality middleware for Ada (documentation)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package contains the documentation and examples.

Package: libpolyorb-dbg
Section: debug
Priority: extra
Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, libpolyorb2 (= ${binary:Version}), libpolyorb1-dev (= ${binary:Version})
Description: Multiple-personality middleware for Ada (debug)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package contains the debugging symbols.
