## polyorb 2.8~20110207

=== debian/changelog ===
polyorb (2.8~20110207-5.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * libpolyorb2-dev: Add Conflicts/Replaces: libpolyorb1-dev due to file
    conflict on /usr/bin/iac.  (Closes: #699197)
  * libpolyorb3.postinst: Cleanup the diversion created by 2.8~20110207-[34].
    (Closes: #692780)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2013 17:17:05 +0100

polyorb (2.8~20110207-5) unstable; urgency=low

  * remove diversion of manpage polyorb.7
    the man page isn't put in any package since it contains general information
    not very usefull
    Closes: #688299

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 29 Sep 2012 09:48:41 +0200

polyorb (2.8~20110207-4) unstable; urgency=low

  * remove the testsuite run as part of the build
    one can still use the run_testsuite target if necessary
    Closes: #674098
    Closes: #676747
  * remove kfreebsd-* architectures to prevent FTBFS

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 13 Jun 2012 22:02:25 +0200

polyorb (2.8~20110207-3) unstable; urgency=low

  * divert polyorb.7 manpage in libpolyorb3
    both packages needs this manpage related to configuration
    both packages can coexist
    Closes: #673982
  * fix lintian error about object files in doc package

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu, 31 May 2012 14:31:02 +0200

polyorb (2.8~20110207-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * use dh-ada-library
    - simplify debian/rules
      compute -j option
  * use gnatgcc instead of gcc
  [Xavier Grave]
  * fix FTBFS on all architectures
    python-gnatpython moved to Build-Depends instead of Build-Depends-Indep
  * hardening (lintian warnings)
    removed 40 warnings, still some warnings

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 22 May 2012 10:30:50 +0200

polyorb (2.8~20110207-1) unstable; urgency=low

  [Xavier Grave]
  * new upstream version : 2.8~20110207 (Subversion revision 170156) chosen
    because it immediately precedes a change of
    System.Partition_Interface.PCS_Version, which requires gnat > 4.6.
    - use 0f4393e4f6d42f8d093a29b8fa35aebf4eb4a5f4 from
      com.adacore.polyorb.debian
  * patches adaptation
    - adapt and remove some patches
  * Build with gnat-4.6. Closes: #642825.
  * Debhelper compatibility level 8.
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control file accordingly
  * take new testsuite scheme into account
    - remove some CORBA broken patches
        SHUTDOWN_1
        ALL_TYPES_2
        ALL_TYPES_3
        ALL_FUNCTIONS_2
        ALL_FUNCTIONS_3

  [Reto Buerki]
  * Drop bug-575954.patch (fixed in gnat 4.6)

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Wed, 16 May 2012 11:11:46 +0200

polyorb (2.6.0~20090423-10) unstable; urgency=low

  * Fix "bashism in /bin/sh script"
    - echo -e "y\ny" was replaced by printf "y\ny\n" in the three .in files
      done in patch bug-581134.patch
    (Closes: #581134)

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 16 May 2010 19:46:58 +0200
