=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: polyorb
 Section: net
 Priority: optional
-Maintainer: Reto Buerki <reet@codelabs.ch>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>, Ludovic Brenta <lbrenta@debian.org>
+Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
+Uploaders: Ludovic Brenta <lbrenta@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7),
- automake, autotools-dev, libtool, gnat, gnat-4.4 (>= 4.4.2-6), python
+Build-Depends: debhelper (>= 8.9.7), dpkg-dev (>= 1.16.1),
+ dh-ada-library, python-gnatpython,
+ automake, autotools-dev, libtool, gnat, gnat-4.6, python
 Build-Depends-Indep: ghostscript, texi2html,
  texlive-formats-extra, texlive-generic-recommended, transfig, texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.polyorb
+Vcs-Mtn: www.ada-france.org org.debian.polyorb
 Homepage: http://libre.adacore.com/libre/tools/polyorb/
 
 Package: polyorb-servers
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Multiple-personality middleware for Ada (servers)
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -24,10 +27,12 @@
  This package provides various middleware servers needed to run a distributed
  application and tools to interact with these servers.
 
-Package: libpolyorb1-dev
+Package: libpolyorb2-dev
 Section: libdevel
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
-Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb2 (= ${binary:Version}), g++, gnat, gnat-4.4
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Depends: ${misc:Depends}, ${shlibs:Depends}, libpolyorb3 (= ${binary:Version}), g++, gnat-4.6
+Conflicts: libpolyorb1-dev, libpolyorb2-dev
+Replaces: libpolyorb1-dev, libpolyorb2-dev
 Recommends: polyorb-servers (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (development)
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -42,10 +47,12 @@
  Distributed applications will also require the polyorb-servers package but not
  necessarily on the same machine.
 
-Package: libpolyorb2
+Package: libpolyorb3
 Section: libs
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Recommends: polyorb-servers (= ${binary:Version})
 Description: Multiple-personality middleware for Ada
  PolyORB provides a uniform solution to build distributed applications; relying
@@ -61,7 +68,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libpolyorb1-dev (= ${binary:Version})
+Recommends: libpolyorb2-dev (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (documentation)
  PolyORB provides a uniform solution to build distributed applications; relying
  either on industrial-strength middleware standards such as CORBA, the
@@ -74,8 +81,8 @@
 Package: libpolyorb-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390 sparc
-Depends: ${misc:Depends}, libpolyorb2 (= ${binary:Version}), libpolyorb1-dev (= ${binary:Version})
+Architecture: amd64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
+Depends: ${misc:Depends}, libpolyorb3 (= ${binary:Version}), libpolyorb2-dev (= ${binary:Version})
 Description: Multiple-personality middleware for Ada (debug)
  PolyORB provides a uniform solution to build distributed applications; relying
  either on industrial-strength middleware standards such as CORBA, the
